'use strict';


// Declare app level module which depends on filters, and services
angular.module('licenseServerApp', [
  'ngRoute',
  'licenseServerApp.filters',
  'licenseServerApp.services',
  'licenseServerApp.directives',
  'licenseServerApp.controllers',
  'myStartupApp',
  'ui.bootstrap'
]).
config(['$routeProvider', function($routeProvider) {
  $routeProvider.when('/serverInfo', { templateUrl: 'partials/serverInfo.html', controller: 'ServerInfoController' });
  $routeProvider.when('/licenses', { templateUrl: 'partials/licenses.html', controller: 'LicensesController' });
  $routeProvider.when('/lockedUsers', { templateUrl: 'partials/lockedUsers.html', controller: 'LockedUsersController' });
  $routeProvider.otherwise({ redirectTo: '/serverInfo' });
}]);

angular.module('myStartupApp', []).run(function($rootScope) {
$rootScope.appStarted = new Date();
});
